=== debian/changelog ===
xxxterm (1:1.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #648228 #651673)
  * Updated copyright file
  * Added 'epoch' component to package version, due to upstream versioning
    scheme change

 -- Luis Henriques <henrix@camandro.org>  Thu, 08 Dec 2011 21:35:33 +0000

xxxterm (1.518-1) unstable; urgency=low

  * Imported Upstream version 1.518 (Closes: #636807)
  * Patches re-generation (package being managed with git now)
  * Updated copyright file
  * watch file modified
  * build-deps now has one package per line

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 09 Aug 2011 19:03:51 +0100

xxxterm (1.471-1) unstable; urgency=low

  * New upstream release (Closes: #636566)
  * Fixed typo in man page, with patch from "A. Costa" <agcosta@gis.net>
    (Closes: 635643)
  * Added 3 new example files: playflash.sh for the default_script
    configuration option, a quickmarks file and a favorites file

 -- Luis Henriques <luis.henrix@gmail.com>  Thu, 04 Aug 2011 22:26:01 +0100

xxxterm (1.425-2) unstable; urgency=low

  * Transition to Webkit 1.3 (Closes: #635433)
  * Fix icon path on debian/menu (Closes: #635355)

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 26 Jul 2011 19:07:59 +0100

xxxterm (1.425-1) unstable; urgency=low

  * New upstream release (Closes: #634084)
  * Added upstream changelog, obtained from project web forum
  * Corrected copyright for files hinting.js, input-focus.js and
    js-merge-helper.pl; Added copyright for PNG files and for javascript.h
  * Removed patches that have been upstreamed.
  * Corrected icon path on debian/menu

 -- Luis Henriques <luis.henrix@gmail.com>  Sun, 24 Jul 2011 16:41:29 +0100

xxxterm (1.399-1) unstable; urgency=low

  * Initial release (Closes: #631655)

 -- Luis Henriques <luis.henrix@gmail.com>  Sat, 25 Jun 2011 20:09:05 +0100
