## xxxterm 1.10.0

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,10 @@
 MAN=xxxterm.1
 
 SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
-SRCS+= xxxterm.c
+SRCS+= history.c completion.c externaleditor.c xxxterm.c
 CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused
 CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare
+CFLAGS+= -I.
 DEBUG= -ggdb3
 LDADD= -lutil -lgcrypt
 LIBS+= gtk+-2.0
@@ -26,11 +27,19 @@
 
 MANDIR= ${PREFIX}/man/man
 
-CLEANFILES += ${.CURDIR}/javascript.h xxxterm.cat1 xxxterm.core
+CLEANFILES += ${.CURDIR}/javascript.h javascript.h xxxterm.cat1 xxxterm.core
 
-${.CURDIR}/javascript.h: hinting.js input-focus.js
-	perl ${.CURDIR}/js-merge-helper.pl ${.CURDIR}/hinting.js \
-	    ${.CURDIR}/input-focus.js >  ${.CURDIR}/javascript.h
+JSFILES += hinting.js
+JSFILES += input-focus.js
+JSFILES += autoscroll.js
+
+.for _js in ${JSFILES}
+JSCURDIR += ${.CURDIR}/${_js}
+.endfor
+
+javascript.h: ${JSFILES} js-merge-helper.pl
+	perl ${.CURDIR}/js-merge-helper.pl \
+		${JSCURDIR} > javascript.h
 
 beforeinstall:
 	install -m 755 -d ${PREFIX}/share/xxxterm
@@ -42,7 +51,7 @@
 	install -m 644 ${.CURDIR}/xxxtermicon128.png ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xxxterm
 
-${PROG} ${OBJS} beforedepend: ${.CURDIR}/javascript.h
+${PROG} ${OBJS} beforedepend: javascript.h
 
 # clang targets
 .if ${.TARGETS:M*analyze*}
