=== debian/changelog ===
xxxterm (1:1.10.0-1) unstable; urgency=low

  * New upstream release

 -- Luis Henriques <henrix@camandro.org>  Thu, 05 Jan 2012 00:09:02 +0000
