=== debian/control ===
Source: xxxterm
Section: web
Priority: optional
Maintainer: Luis Henriques <henrix@camandro.org>
Build-Depends: debhelper (>= 8),
  libwebkitgtk-dev,
  libgtk2.0-dev,
  libsoup2.4-dev,
  libgnutls-dev,
  libbsd-dev,
  imagemagick
Standards-Version: 3.9.2
Homepage: http://opensource.conformal.com/wiki/XXXTerm

Package: xxxterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Minimalist's web browser
 XXXTerm is a minimalists web browser.  It strives to be vi-like for
 heavy keyboard users while maintaining traditional web browser behavior.
 .
 Major features include:
  * Tabbed browsing
  * Cookie support
  * Cookie white list
  * JavaScript white list
  * JavaScript runtime toggle
  * History
  * Download manager
  * vim keybindings
  * Text based config file
  * Search engine entry box
  * Search on page
  * Basic MIME support
  * Favorites
  * Print, including to pdf
  * Mouse-less browsing
