## xxxterm 1.11.3

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,13 @@
 PROG=xxxterm
 MAN=xxxterm.1
 
+DEBUG= -ggdb3
+
 SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
-SRCS+= history.c completion.c externaleditor.c xxxterm.c
+SRCS+= history.c completion.c tldlist.c externaleditor.c unix.c xxxterm.c
 CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused
-CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare
-CFLAGS+= -I.
-DEBUG= -ggdb3
+CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare ${DEBUG}
+CFLAGS+= -I. -I${.CURDIR}
 LDADD= -lutil -lgcrypt
 LIBS+= gtk+-2.0
 LIBS+= webkit-1.0
@@ -49,6 +50,7 @@
 	install -m 644 ${.CURDIR}/xxxtermicon48.png ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/xxxtermicon64.png ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/xxxtermicon128.png ${PREFIX}/share/xxxterm
+	install -m 644 ${.CURDIR}/tld-rules ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xxxterm
 
 ${PROG} ${OBJS} beforedepend: javascript.h
