=== linux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 LIBS= gtk+-2.0 webkit-1.0 libsoup-2.4 gnutls gthread-2.0
 
-CFLAGS+= -O2 -Wall -ggdb3 -D_GNU_SOURCE -I. $(shell pkg-config --cflags $(LIBS))
+CFLAGS+= -O2 -Wall -ggdb3 -D_GNU_SOURCE -I. -I.. $(shell pkg-config --cflags $(LIBS))
 LDADD+= $(shell pkg-config --libs $(LIBS)) -lbsd -ldl -lgcrypt
 
 PREFIX?= /usr/local
@@ -15,6 +15,11 @@
 DEPS= $(addsuffix .depend, $(OBJS))
 
 CC?= gcc
+
+BUILDVERSION= $(shell sh $(CURDIR)/../buildver.sh)
+ifneq ("${BUILDVERSION}", "")
+CFLAGS+= -DXXXTERM_BUILDSTR=\"$(BUILDVERSION)\"
+endif
 
 all: javascript.h xxxterm
 
@@ -43,6 +48,7 @@
 	install -m 644 ../xxxtermicon48.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xxxtermicon64.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xxxtermicon128.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
 	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
 
 uninstall:
