=== debian/changelog ===
xxxterm (1:1.11.3-1.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Daniel T Chen ]
  * Added patch resolving FTBFS due to missing header
   (Closes: #729439, #730330)

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2013 19:02:49 -0400

xxxterm (1:1.11.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to main Makefile being fit for BSD make (Closes: 718074).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 16 Oct 2013 10:54:59 +0200

xxxterm (1:1.11.3-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file with new files in package
  * Updated copyright file "format" field
  * Added postinst and prerm to add/remove x-www-browser alternative
    (Closes: #660331)
  * Updated Standards-Version to latest version (3.9.3)

 -- Luis Henriques <henrix@camandro.org>  Sun, 04 Mar 2012 13:12:46 +0000
