=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   libgnutls-dev,
   libbsd-dev,
   imagemagick
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://opensource.conformal.com/wiki/XXXTerm
 
 Package: xxxterm
