=== debian/rules ===
#!/usr/bin/make -f
# debian/rules makefile that uses debhelper.
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	$(MAKE) -C linux/ PREFIX=/usr
	convert -resize 32x32 xxxtermicon32.png xxxterm.xpm

override_dh_auto_install:
	$(MAKE) -C linux/ install PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/xxxterm
override_dh_auto_clean:
	$(MAKE) -C linux/ clean
	rm -f xxxterm.xpm

override_dh_installchangelogs:
	dh_installchangelogs debian/xxxterm.upstream-changelog

override_dh_auto_test:

%:
	dh $@
