=== debian/watch ===
version=3
http://opensource.conformal.com/snapshots/xxxterm/xxxterm-([\d\.]+)\.tgz
