=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xxxterm
 Section: web
 Priority: optional
-Maintainer: Luis Henriques <henrix@camandro.org>
+Maintainer: Luis Henriques <luis.henrix@gmail.com>
 Build-Depends: debhelper (>= 8),
   libwebkitgtk-dev,
   libgtk2.0-dev,
@@ -9,7 +9,7 @@
   libgnutls-dev,
   libbsd-dev,
   imagemagick
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://opensource.conformal.com/wiki/XXXTerm
 
 Package: xxxterm
